## ide-extension-set-adapter ide-extension-set-adapter |

## Functions

void | (*IdeExtensionSetAdapterForeachFunc) ()
IdeExtensionSetAdapter * | ide_extension_set_adapter_new ()
PeasEngine * | ide_extension_set_adapter_get_engine ()
GType | ide_extension_set_adapter_get_interface_type ()
const gchar * | ide_extension_set_adapter_get_key ()
void | ide_extension_set_adapter_set_key ()
const gchar * | ide_extension_set_adapter_get_value ()
void | ide_extension_set_adapter_set_value ()
guint | ide_extension_set_adapter_get_n_extensions ()
void | ide_extension_set_adapter_foreach ()
void | ide_extension_set_adapter_foreach_by_priority ()
PeasExtension * | ide_extension_set_adapter_get_extension ()

## Properties

PeasEngine * | engine | Read / Write / Construct Only
GType * | interface-type | Read / Write / Construct Only
gchar * | key | Read / Write
gchar * | value | Read / Write

## Signals

void | extension-added | Run Last
void | extension-removed | Run Last
void | extensions-loaded | Run Last

## Types and Values

#define | IDE_TYPE_EXTENSION_SET_ADAPTER
| IdeExtensionSetAdapter

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeExtensionSetAdapter

## Description

## Functions

### IdeExtensionSetAdapterForeachFunc ()

    void
    (*IdeExtensionSetAdapterForeachFunc) (IdeExtensionSetAdapter *set,
                                          PeasPluginInfo *plugin_info,
                                          PeasExtension *extension,
                                          gpointer user_data);

### ide_extension_set_adapter_new ()

    IdeExtensionSetAdapter *
    ide_extension_set_adapter_new (IdeObject *parent,
                                   PeasEngine *engine,
                                   GType interface_type,
                                   const gchar *key,
                                   const gchar *value);

### ide_extension_set_adapter_get_engine ()

    PeasEngine *
    ide_extension_set_adapter_get_engine (IdeExtensionSetAdapter *self);

Gets the “engine” property.

#### Returns

a PeasEngine.

[transfer none]

Since: 3.32

### ide_extension_set_adapter_get_interface_type ()

    GType
    ide_extension_set_adapter_get_interface_type
                                   (IdeExtensionSetAdapter *self);

### ide_extension_set_adapter_get_key ()

    const gchar *
    ide_extension_set_adapter_get_key (IdeExtensionSetAdapter *self);

### ide_extension_set_adapter_set_key ()

    void
    ide_extension_set_adapter_set_key (IdeExtensionSetAdapter *self,
                                       const gchar *key);

### ide_extension_set_adapter_get_value ()

    const gchar *
    ide_extension_set_adapter_get_value (IdeExtensionSetAdapter *self);

### ide_extension_set_adapter_set_value ()

    void
    ide_extension_set_adapter_set_value (IdeExtensionSetAdapter *self,
                                         const gchar *value);

### ide_extension_set_adapter_get_n_extensions ()

    guint
    ide_extension_set_adapter_get_n_extensions
                                   (IdeExtensionSetAdapter *self);

### ide_extension_set_adapter_foreach ()

    void
    ide_extension_set_adapter_foreach (IdeExtensionSetAdapter *self,
                                       IdeExtensionSetAdapterForeachFunc foreach_func,
                                       gpointer user_data);

Calls `foreach_func` for every extension loaded by the extension set.

#### Parameters

self | an IdeExtensionSetAdapter |
foreach_func | A callback. | [scope call]
user_data | user data for `foreach_func` |

Since: 3.32

### ide_extension_set_adapter_foreach_by_priority ()

    void
    ide_extension_set_adapter_foreach_by_priority
                                   (IdeExtensionSetAdapter *self,
                                    IdeExtensionSetAdapterForeachFunc foreach_func,
                                    gpointer user_data);

Calls `foreach_func` for every extension loaded by the extension set.

#### Parameters

self | an IdeExtensionSetAdapter |
foreach_func | A callback. | [scope call]
user_data | user data for `foreach_func` |

Since: 3.32

### ide_extension_set_adapter_get_extension ()

    PeasExtension *
    ide_extension_set_adapter_get_extension
                                   (IdeExtensionSetAdapter *self,
                                    PeasPluginInfo *plugin_info);

Locates the extension owned by `plugin_info` if such extension exists.

#### Parameters

self | a IdeExtensionSetAdapter |
plugin_info | a PeasPluginInfo |

#### Returns

a PeasExtension or `NULL`.

[transfer none][nullable]

Since: 3.32

## Types and Values

### IDE_TYPE_EXTENSION_SET_ADAPTER

    #define IDE_TYPE_EXTENSION_SET_ADAPTER (ide_extension_set_adapter_get_type())

### IdeExtensionSetAdapter

    typedef struct _IdeExtensionSetAdapter IdeExtensionSetAdapter;

## Property Details

### The `“engine”` property

      “engine”                   PeasEngine *

Engine.

Owner: IdeExtensionSetAdapter

Flags: Read / Write / Construct Only

### The `“interface-type”` property

      “interface-type”           GType *

Interface Type.

Owner: IdeExtensionSetAdapter

Flags: Read / Write / Construct Only

Allowed values: GObject

### The `“key”` property

      “key”                      gchar *

Key.

Owner: IdeExtensionSetAdapter

Flags: Read / Write

Default value: NULL

### The `“value”` property

      “value”                    gchar *

Value.

Owner: IdeExtensionSetAdapter

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“extension-added”` signal

    void
    user_function (IdeExtensionSetAdapter *ideextensionsetadapter,
                   PeasPluginInfo         *arg1,
                   GObject                *arg2,
                   gpointer                user_data)

Flags: Run Last

### The `“extension-removed”` signal

    void
    user_function (IdeExtensionSetAdapter *ideextensionsetadapter,
                   PeasPluginInfo         *arg1,
                   GObject                *arg2,
                   gpointer                user_data)

Flags: Run Last

### The `“extensions-loaded”` signal

    void
    user_function (IdeExtensionSetAdapter *ideextensionsetadapter,
                   gpointer                user_data)

Flags: Run Last